# dotfiles.nix

nix user configuration for nix-darwin and home-manager.

spiritually a fork of https://github.com/malob/nixpkgs, but using a repo i already had lying around

## installation
```shell
$ nix build .#configurations.matbook.system
$ ./result/sw/bin/darwin-rebuild switch --flake .
```

## organization

### flake.nix

main entry point and glue for submodules

### default.nix

compatibility for legacy nix tooling, eg `nix-build`

### nixpkgs.nix

used to hack compatibility for `<nixpkgs>` in nix expressions

### configs

non-nix configurations

### darwin

[nix-darwin](https://github.com/LnL7/nix-darwin) specific configuration

#### bootstrap.nix

minimal configuration for a base macOS system

#### default.nix

full featured macOS system

#### homebrew.nix

homebrew + mac app store apps

#### macos-defaults.nix

macOS system settings

### home

[home-manager](https://github.com/nix-community/home-manager) configuration

#### configs

simple configurations

#### default.nix

main user environment configuration

#### kitty.nix

kitty terminal configuration and integrations

#### shells.nix

fish shell configuration and integrations

### modules

#### darwin

various extensions for nix-darwin configuration

#### home

customization for kitty terminal and other programs

### overlays

#### colors

pure nix colorscheme palettes

### pkgs

custom-built nix packages
