{ config, pkgs, ... }:

{
  # Git
  # https://rycee.gitlab.io/home-manager/options.html#opt-programs.git.enable
  # Aliases config imported in flake.
  programs.git.enable = true;

  programs.git.userEmail = config.home.primaryUser.email;
  programs.git.userName = config.home.primaryUser.fullName;

  programs.git.extraConfig = {
    core.editor = "hx";
    diff.colorMoved = "default";
    pull.rebase = true;
    init.defaultBranch = "main";
  };

  programs.git.ignores = [
    ".DS_Store"
  ];

  # Enhanced diffs
  programs.git.delta.enable = true;

  # Gitea CLI
  home.packages = [ pkgs.tea ];
}
