{ pkgs, ... }:

{
  programs.helix.enable = true;

  programs.helix.package = pkgs.helix-flake;

  programs.helix.settings = {
    editor.bufferline = "multiple";
    editor.color-modes = true;
    editor.indent-guides.render = true;
    editor.indent-guides.skip-levels = 1;
    editor.line-number = "relative";
    editor.whitespace.render = {
      space = "none";
      tab = "all";
      newline = "all";
    };
  };

  programs.helix.extras.autoTheme = {
    enable = true;
    light = "rose_pine_dawn";
    dark = "rose_pine";
  };

  home.sessionVariables = {
    EDITOR = "hx";
  };
}
